AddAuth
Prev | 8.21. Long Transaction Support | Next

## Name

AddAuth — Adds an authorization token to be used in the current transaction.

## Synopsis

`boolean AddAuth(`text auth_token`)`;

## Description

Adds an authorization token to be used in the current transaction.

Adds the current transaction identifier and authorization token to a temporary table called `temp_lock_have_table`.

Availability: 1.1.3

## Examples

    		SELECT LockRow('towns', '353', 'priscilla');
    		BEGIN TRANSACTION;
    			SELECT AddAuth('joey');
    			UPDATE towns SET geom = ST_Translate(geom,2,2) WHERE gid = 353;
    		COMMIT;

    		---Error--
    		ERROR:  UPDATE where "gid" = '353' requires authorization 'priscilla'

## See Also

LockRow

Prev | Up | Next
ST_Volume | Home | CheckAuth